Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2602613002: PNaCl: Update subzero revision in pnacl/COMPONENT_REVISIONS (Closed)

Created:
2 years, 3 months ago by Jim Stichnoth
Modified:
2 years, 3 months ago
Reviewers:
Derek Schuff, John
CC:
native-client-reviews_googlegroups.com, capn_google.com, jaydeep.patil, Stefan Maksimovic, sagar.thakur
Target Ref:
refs/heads/master
Project:
nacl
Visibility:
Public.

Description

PNaCl: Update subzero revision in pnacl/COMPONENT_REVISIONS This pulls in the following Subzero changes: ec92917: (jaydeep.patil@imgtec.com) [SubZero] Legalize load, store for MIPS post lower 4683237: (sagar.thakur@imgtec.com) [Subzero][MIPS32] Fix alloca alignment and offset for Om1 and O2 optimization 45e4d5e: (jaydeep.patil@imgtec.com) [SubZero] Handle relocatable constants for MIPS 3a01f33: (jaydeep.patil@imgtec.com) [SubZero] Implement Fcmp, ICmp, Cast and Select for vector type f52cea4: (capn@google.com) Fix unpacking from a single vector. 7638e27: (capn@google.com) Add x86 vector packing instructions. 0e90622: (capn@google.com) Generate error on unexpected intrisics. 89be887: (sagar.thakur@imgtec.com) [Subzero][MIPS32] Account for variable alloca alignment bytes in addProlog 1448d95: (capn@google.com) Optimize shuffles corresponding to x86 punpckh instructions. 7145e69: (stichnot@chromium.org) Subzero: Fix compiler warnings. 32f9cce: (capn@google.com) Fix 64-bit pointer type for non-x32 ABIs. ef8210d: (capn@google.com) Implement vector packing intrinsics. 8b8af82: (capn@google.com) Implement bitcast between i32 and (emulated) v4i8. e3cabda: (capn@google.com) Implement vector sign mask intrinsic. d0e3030: (capn@google.com) Assert that PNaCl bitcode only uses 128-bit vector casts. c9e91af: (capn@google.com) Remove verified asserts. 61593fb: (capn@google.com) Fix unit tests. a3688ea: (capn@google.com) Fix two-vector unpack case. a7979bf: (jaydeep.patil@imgtec.com) [SubZero] Fix f64 to/from i64 moves 0dabe18: (makdstefan@gmail.com) Subzero, MIPS32: Remove --skip-unimplemented from lit tests 130aca7: (jaydeep.patil@imgtec.com) [SubZero] Generate relocations for MIPS 73ae4fd: (capn@google.com) Preserve rsi and rdi when using Microsoft x86-64 calling convention. 7ad028e: (makdstefan@gmail.com) This patch enables running a couple more of lit tests for MIPS32 956cfd6: (capn@google.com) Generalize the Sqrt intrinsic to process vectors. 13cde0f: (capn@google.com) Implement integer vector multiply intrinsics. 67a49b5: (capn@google.com) Implement saturated vector add/subtract. 0c4c07d: (jaydeep.patil@imgtec.com) [SubZero] Fix code generation for vector type f8c9977: (makdstefan@gmail.com) Subzero, MIPS32: Stacksave/Stackrestore implementation f0d12c3: (capn@google.com) Implement floating-point rounding intrinsic. 3da9f65: (jaydeep.patil@imgtec.com) [SubZero] Generate MIPS.abiflags section 21f78bb: (jaydeep.patil@imgtec.com) [SubZero] Utilize instructions with immediate operands 83425de: (capn@google.com) Support 64-bit jump tables with LP64 data model. 6e03343: (makdstefan@gmail.com) Subzero, MIPS32: Sandbox initial patch becb85f: (sagar.thakur@imgtec.com) [Subzero][MIPS] Implements atomic intrinsics for MIPS32 8208e75: (makdstefan@gmail.com) Subzero, MIPS32: Changes for improving sandbox crosstest results 2220990: (capn@google.com) Fix offset adjustment in x86 address optimization. ef18fc5: (capn@google.com) Match sub-vector load/store operand order to regular load/store. 8be6975: (jaydeep.patil@imgtec.com) [SubZero] Fix size of arguments on stack e1e1783: (capn@google.com) Fix skipping deleted instructions before replacing operands. a29da90: (capn@google.com) Ensure that the sub-vector load destination is a register. 579b1b3: (capn@google.com) Generalize vector shuffling to accept any operand. 373913f: (stichnot@chromium.org) Subzero: Legalize the movzx argument. 35bbca3: (stichnot@chromium.org) Subzero: Fix multiply defined symbols in Windows/g++ build. BUG=swiftshader:24 BUG=swiftshader:9 BUG=swiftshader:22 BUG= https://bugs.chromium.org/p/nativeclient/issues/detail?id=4384 BUG=swiftshader:15 TEST= PNaCl toolchain trybots R=dschuff@chromium.org Committed: https://chromium.googlesource.com/native_client/src/native_client/+/01d3ae00d277726b8aaee572120a5ba2a31d511e

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -1 line) Patch
M pnacl/COMPONENT_REVISIONS View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 7 (3 generated)
Jim Stichnoth
The Linux trybots aren't working because of a goma issue. However, the Windows/g++ build succeeds, ...
2 years, 3 months ago (2016-12-24 14:33:54 UTC) #3
Derek Schuff
On 2016/12/24 14:33:54, Jim Stichnoth wrote: > The Linux trybots aren't working because of a ...
2 years, 3 months ago (2017-01-03 19:21:39 UTC) #4
Derek Schuff
On 2017/01/03 19:21:39, Derek Schuff wrote: > On 2016/12/24 14:33:54, Jim Stichnoth wrote: > > ...
2 years, 3 months ago (2017-01-03 19:22:48 UTC) #5
Jim Stichnoth
2 years, 3 months ago (2017-01-04 07:04:45 UTC) #7
Message was sent while issue was closed.
Committed patchset #1 (id:1) manually as
01d3ae00d277726b8aaee572120a5ba2a31d511e (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698